Debian Bug report logs - #646729
wordpress: missing source for jquery.js

version graph

Package: src:wordpress; Maintainer for src:wordpress is Craig Small <csmall@debian.org>;

Reported by: Jakub Wilk <jwilk@debian.org>

Date: Wed, 26 Oct 2011 16:06:01 UTC

Severity: serious

Found in versions wordpress/3.2.1+dfsg-1, wordpress/3.2.1+dfsg-2

Fixed in version wordpress/3.3+dfsg-1

Done: Raphaël Hertzog <hertzog@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://core.trac.wordpress.org/ticket/19065

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jwilk@debian.org, Giuseppe Iuculano <iuculano@debian.org>:
Bug#646729; Package src:wordpress. (Wed, 26 Oct 2011 16:06:04 GMT) Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: wordpress: missing source for jquery.js
Date: Wed, 26 Oct 2011 18:03:28 +0200
Source: wordpress
Version: 3.2.1+dfsg-2
Severity: serious
Justification: Policy 2.1

wordpress includes minified version of jquery.js without the 
corresponding (uncompressed) source code.

-- 
Jakub Wilk




Information forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Iuculano <iuculano@debian.org>:
Bug#646729; Package src:wordpress. (Wed, 26 Oct 2011 17:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Giuseppe Iuculano <iuculano@debian.org>. (Wed, 26 Oct 2011 17:09:07 GMT) Full text and rfc822 format available.

Message #8 received at 646729@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Jakub Wilk <jwilk@debian.org>, 646729@bugs.debian.org
Subject: Re: Bug#646729: wordpress: missing source for jquery.js
Date: Wed, 26 Oct 2011 19:07:07 +0200
severity 646729 normal
thanks

On Wed, 26 Oct 2011, Jakub Wilk wrote:
> wordpress includes minified version of jquery.js without the
> corresponding (uncompressed) source code.

This would be a license violation if JQuery were under the GPL
since it's obviously not the preferred form of modification.

But it's licensed under much more liberal licenses and it's ok
to ship only a minified file considering that it is its own source.

Furthermore there are many tools that can reindent the javascript
resulting in something much more readable.

That said I agree that it's sub-optimal and given that upstream ship
many .dev.js along the corresponding minified files, I'll keep the 
bug open to remember to bring it up with upstream.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Pre-order a copy of the Debian Administrator's Handbook and help
liberate it: http://debian-handbook.info/go/ulule-rh/




Severity set to 'normal' from 'serious' Request was from Raphael Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Wed, 26 Oct 2011 17:09:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Iuculano <iuculano@debian.org>:
Bug#646729; Package src:wordpress. (Wed, 26 Oct 2011 17:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike O'Connor <stew@vireo.org>:
Extra info received and forwarded to list. Copy sent to Giuseppe Iuculano <iuculano@debian.org>. (Wed, 26 Oct 2011 17:27:06 GMT) Full text and rfc822 format available.

Message #15 received at 646729@bugs.debian.org (full text, mbox):

From: Mike O'Connor <stew@vireo.org>
To: 646729@bugs.debian.org
Subject: source code is required in main
Date: Wed, 26 Oct 2011 13:18:40 -0400
severity 646729 serious
thanks

The section of policy referenced in the Justification is quite clear on
this one:

2. Source Code

    The program must include source code, and must allow distribution in
    source code as well as compiled form.

We on the ftp team have been requiring this of minimized javascript
files routinely of packages in main.

thanks,
stew





Severity set to 'serious' from 'normal' Request was from Mike O'Connor <stew@vireo.org> to control@bugs.debian.org. (Wed, 26 Oct 2011 17:27:08 GMT) Full text and rfc822 format available.

Bug Marked as found in versions wordpress/3.2.1+dfsg-1. Request was from Raphaël Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Thu, 27 Oct 2011 07:45:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Iuculano <iuculano@debian.org>:
Bug#646729; Package src:wordpress. (Thu, 27 Oct 2011 11:14:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Giuseppe Iuculano <iuculano@debian.org>. (Thu, 27 Oct 2011 11:14:23 GMT) Full text and rfc822 format available.

Message #24 received at 646729@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Jakub Wilk <jwilk@debian.org>, 646729@bugs.debian.org
Subject: Re: Bug#646729: wordpress: missing source for jquery.js
Date: Thu, 27 Oct 2011 12:24:19 +0200
forwarded 646729 http://core.trac.wordpress.org/ticket/19065
thanks

On Wed, 26 Oct 2011, Jakub Wilk wrote:
> wordpress includes minified version of jquery.js without the
> corresponding (uncompressed) source code.

Given that this bug is to be considered release critical I did a full
review and opened an upstream ticket asking for the missing .dev.js
files: http://core.trac.wordpress.org/ticket/19065

There are several other files which are only provided as minified
files. Note that the review above was based on the current SVN version
(trunk) and not on the version released in Debian. There might be
small differences but I'm interested in having the situation
cleared up for one of the future upstream release and not for the
currently packaged one.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Pre-order a copy of the Debian Administrator's Handbook and help
liberate it: http://debian-handbook.info/go/ulule-rh/




Set Bug forwarded-to-address to 'http://core.trac.wordpress.org/ticket/19065'. Request was from Raphael Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Thu, 27 Oct 2011 11:16:24 GMT) Full text and rfc822 format available.

Reply sent to Raphaël Hertzog <hertzog@debian.org>:
You have taken responsibility. (Tue, 20 Dec 2011 07:54:20 GMT) Full text and rfc822 format available.

Notification sent to Jakub Wilk <jwilk@debian.org>:
Bug acknowledged by developer. (Tue, 20 Dec 2011 07:54:20 GMT) Full text and rfc822 format available.

Message #31 received at 646729-close@bugs.debian.org (full text, mbox):

From: Raphaël Hertzog <hertzog@debian.org>
To: 646729-close@bugs.debian.org
Subject: Bug#646729: fixed in wordpress 3.3+dfsg-1
Date: Tue, 20 Dec 2011 07:36:47 +0000
Source: wordpress
Source-Version: 3.3+dfsg-1

We believe that the bug you reported is fixed in the latest version of
wordpress, which is due to be installed in the Debian FTP archive:

wordpress-l10n_3.3+dfsg-1_all.deb
  to main/w/wordpress/wordpress-l10n_3.3+dfsg-1_all.deb
wordpress_3.3+dfsg-1.debian.tar.xz
  to main/w/wordpress/wordpress_3.3+dfsg-1.debian.tar.xz
wordpress_3.3+dfsg-1.dsc
  to main/w/wordpress/wordpress_3.3+dfsg-1.dsc
wordpress_3.3+dfsg-1_all.deb
  to main/w/wordpress/wordpress_3.3+dfsg-1_all.deb
wordpress_3.3+dfsg.orig.tar.gz
  to main/w/wordpress/wordpress_3.3+dfsg.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 646729@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Raphaël Hertzog <hertzog@debian.org> (supplier of updated wordpress package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 20 Dec 2011 01:01:50 +0100
Source: wordpress
Binary: wordpress wordpress-l10n
Architecture: source all
Version: 3.3+dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Giuseppe Iuculano <iuculano@debian.org>
Changed-By: Raphaël Hertzog <hertzog@debian.org>
Description: 
 wordpress  - weblog manager
 wordpress-l10n - weblog manager - language files
Closes: 646729 652041
Changes: 
 wordpress (3.3+dfsg-1) unstable; urgency=low
 .
   * New upstream release. Closes: #652041
   * [4deb832] Add all the missing sources in debian/missing-sources/.
     (Closes: #646729)
   * [913eba5] Refresh all patches.
   * [ae61778] Use xz compression for the debian tarball to save some space.
Checksums-Sha1: 
 f76e539fb80604fa784d5cd34a4fe8fcfa1cec49 2257 wordpress_3.3+dfsg-1.dsc
 6708f91cd894c24382d0062e459ffb9bba3e858b 3891532 wordpress_3.3+dfsg.orig.tar.gz
 45da34648a02dad4c540df9b74d9cb1b7aec55a5 14083112 wordpress_3.3+dfsg-1.debian.tar.xz
 bb22dafc6a8c38807f20aab6593ba5c3038f891b 3619786 wordpress_3.3+dfsg-1_all.deb
 5c388926d73dbbf8fef1c8293f145cf81ee2d96d 6537074 wordpress-l10n_3.3+dfsg-1_all.deb
Checksums-Sha256: 
 3e2efbc5ef4e857b4ebc068a11ecbe8396459f5f063af4917579c2b101c9a4eb 2257 wordpress_3.3+dfsg-1.dsc
 b79616de039e4d63c6dfb56f001a244539171f514fa5234ae83e0d3d7cf6ba08 3891532 wordpress_3.3+dfsg.orig.tar.gz
 c7bfecfe19ba50ff6abb2786d01f7176dc620254309318577317f5bde5ae0b29 14083112 wordpress_3.3+dfsg-1.debian.tar.xz
 065294ec86a68924b3ecc37a86562417500073c81caefffcf47737a499f12e19 3619786 wordpress_3.3+dfsg-1_all.deb
 1e6e033063587f5ef35f61570db321c0d1277d6f1cc398ffad72be5869583bb5 6537074 wordpress-l10n_3.3+dfsg-1_all.deb
Files: 
 2e9c1c325e79140296744362fa34653d 2257 web optional wordpress_3.3+dfsg-1.dsc
 e47abdebac8c5d22c4f67261e16ae02c 3891532 web optional wordpress_3.3+dfsg.orig.tar.gz
 ff8b61ff9c7ed8954966e76e17c72457 14083112 web optional wordpress_3.3+dfsg-1.debian.tar.xz
 37946cf5621678a393c51a721559a98c 3619786 web optional wordpress_3.3+dfsg-1_all.deb
 9118f9f3ffc275be19dcb54634ea1bdc 6537074 localization optional wordpress-l10n_3.3+dfsg-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Signed by Raphael Hertzog

iQIcBAEBCAAGBQJO8DbJAAoJEOYZBF3yrHKaHmQP/3j9KImNU03KYs4zmTL/1TBp
AS3tBr79UbhopWCUf7I0syT4cDZYwNb7t1qteICmxxAQH5SlnkF4aWIB/oKlEH2I
3v8nNYXkkuUs0H9UnLErOm4dkf19AUdZvMzYUc3Mn7Lj5PkvGdIwr3AMKr/QmX5v
IppyBEHn5AmhPM4TxgCwOGvRCcuABnKew4Vn/Qkw026CwXoutpesGZL/GSAOTMrr
P5W8qTAjQ3tPNHtHzCeTWjsgr3Lm4IJ01vwlSvGQwLHF+iVBPUrMaw4ufCtt5MnB
n/byMV3v9O55oZ1NaFFh4mizGErsUl6kzAxHakXhWtpvlpiOQphdthzVZMYOiXlI
hLiHe6Rgo9ahG1P1jOSaNyTqvYe/67XTBzfkausHkHeWo1wX/Ed2pLVs9iIsfvx5
jTP1R6K0bfk1aufxqvbgDH3uAYIeHJCvZAW4eLHMssxa0m7eK5saRheqrzhEgIQI
PP/aiDi1kcB/HuDE4Bpvt2i5+H7Ls+47Ivwk/0xM4hR6YBrvaKuMm+ViR/24+UJV
KiP5hfGCRGXROuDeIff0yOT26VK3t+1A2HJoKa2D4UGMXGIxtuUYKUujHAkobfh5
nWVqgAxREw4kGYrOEuKUsh7rBKFJ5e2TbQ3mDmPcGtmzLL66EJZLH55G7Iv+49zB
p5eiDJ74+JQvs57/5yrc
=jRst
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 18 Jan 2012 07:34:58 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 15:54:18 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.